Name:		gpodder
Version:	3.11.5
Release:	1.ndias%{?dist}
Summary:	Media aggregator

Group:		Applications/Internet
License:	GPLv3
URL:		http://gpodder.org/
Source0:	https://github.com/%{name}/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	python-mygpoclient, python, intltool, python3-feedparser
BuildRequires:	help2man, python3-build, python3-installer, make
BuildRequires:	python3-setuptools, python3-wheel, python3-devel

BuildArch:	noarch

%description
gPodder is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.


%prep
%setup -q

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%{find_lang} %{name}

%files -f %{name}.lang
%doc COPYING README.md

%{_bindir}/%{name}
%{_bindir}/gpo
%{_bindir}/%{name}-migrate2tres

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/examples
%dir %{_datadir}/%{name}/extensions
%dir %{_datadir}/%{name}/images
%dir %{_datadir}/%{name}/ui
%dir %{_datadir}/%{name}/ui/gtk

%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-url-handler.desktop
%{_datadir}/dbus-1/services/org.%{name}.service
%{_datadir}/%{name}/examples/*.py
%{_datadir}/%{name}/extensions/*.py
%{_datadir}/%{name}/images/directory-*.png
%{_datadir}/%{name}/images/podcast-*.png
%{_datadir}/%{name}/ui/gtk/%{name}*.ui
%{_datadir}/%{name}/ui/gtk/menus.ui
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/metainfo/org.%{name}.%{name}.appdata.xml

%dir %{python3_sitelib}/%{name}
%dir %{python3_sitelib}/%{name}/__pycache__
%dir %{python3_sitelib}/%{name}/gtkui
%dir %{python3_sitelib}/%{name}/gtkui/__pycache__
%dir %{python3_sitelib}/%{name}/gtkui/desktop
%dir %{python3_sitelib}/%{name}/gtkui/desktop/__pycache__
%dir %{python3_sitelib}/%{name}/gtkui/interface
%dir %{python3_sitelib}/%{name}/gtkui/interface/__pycache__
%dir %{python3_sitelib}/%{name}/plugins
%dir %{python3_sitelib}/%{name}/plugins/__pycache__
%dir %{python3_sitelib}/%{name}-%{version}.dist-info
 
%{python3_sitelib}/%{name}/*.py
%{python3_sitelib}/%{name}/__pycache__/*.*.pyc
%{python3_sitelib}/%{name}/gtkui/*.py
%{python3_sitelib}/%{name}/gtkui/__pycache__/*.*.pyc
%{python3_sitelib}/%{name}/gtkui/desktop/*.py
%{python3_sitelib}/%{name}/gtkui/desktop/__pycache__/*.*.pyc
%{python3_sitelib}/%{name}/gtkui/interface/*.py
%{python3_sitelib}/%{name}/gtkui/interface/__pycache__/*.*.pyc
%{python3_sitelib}/%{name}/plugins/*.py
%{python3_sitelib}/%{name}/plugins/__pycache__/*.*.pyc
%{python3_sitelib}/%{name}-%{version}.dist-info/COPYING
%{python3_sitelib}/%{name}-%{version}.dist-info/METADATA
%{python3_sitelib}/%{name}-%{version}.dist-info/RECORD
%{python3_sitelib}/%{name}-%{version}.dist-info/WHEEL
%{python3_sitelib}/%{name}-%{version}.dist-info/top_level.txt


%{_mandir}/man1/*.1.gz


%changelog
* Mon Dec 23 2024 Nuno Dias <Nuno.Dias@gmail.com> - 3.11.5-1.ndias
- New Version 3.11.5

* Mon Feb 20 2023 Nuno Dias <Nuno.Dias@gmail.com> - 3.11.1-1.ndias
- 3.11.1-1.ndias 

* Fri Nov 18 2022 Nuno Dias <Nuno.Dias@gmail.com> - 3.11.0-2.gitd64c06f.ndias
- 3.11.0-2.gitd64c06f.ndias

* Mon Apr 12 2021 Nuno Dias <Nuno.Dias@gmail.com> - 3.10.18-1.ndias
- 3.10.18-1.ndias

* Mon Mar 15 2021 Nuno Dias <Nuno.Dias@gmail.com> - 3.10.17-20210315.git709cb97.1.ndias
- 3.10.17-20210315.git709cb97

* Tue Jun 18 2019 Nuno Dias <Nuno.Dias@gmail.com> - 3.10.9-20190618.git03819e4.1.ndias
- 3.10.9-20190618.git03819e4.1.ndias, patch for vimeo

* Sun Jun 16 2019 Nuno Dias <Nuno.Dias@gmail.com> - 3.10.9-1.ndias
- 3.10.9.1.ndias

* Wed May 29 2019 Nuno Dias <Nuno.Dias@gmail.com> - 3.10.8-20190529.git078d6f8.1.ndias
- 3.10.8-20190529.git078d6f8.1.ndias

* Tue May 28 2019 Nuno Dias <Nuno.Dias@gmail.com> - 3.10.8-20190528.gitf81c93d.1.ndias
- 3.10.8-20190528.gitf81c93d.1.ndias

* Tue May 28 2019 Nuno Dias <Nuno.Dias@gmail.com> - 3.10.8-1.ndias
- 3.10.8

* Fri May 04 2018 Nuno Dias <Nuno.Dias@gmail.com> - 3.10.1-git20180504.1.ndias
- 3.10.1.git20180504

* Fri Jul 29 2016 Nuno Dias <Nuno.Dias@gmail.com> - 3.9.0.git20160729.1
- 3.9.0.git20160729

* Thu Nov 19 2015 Nuno Dias <Nuno.Dias@gmail.com> - 3.8.5-git20151119.1.ndias
- 3.8.5.git20151119

* Tue Jul 21 2015 Nuno Dias <Nuno.Dias@gmail.com> - 3.8.5-git20150721.2.ndias
- 3.8.5.git20150721

* Tue Jun 16 2015 Nuno Dias <Nuno.Dias@gmail.com> - 3.8.5.git20150616-1.ndias
- 3.8.5.git20150616

* Tue May 26 2015 Nuno Dias <Nuno.Dias@gmail.com> - 3.8.4-1.ndias
- 3.8.4

* Tue Oct 28 2014 Nuno Dias <Nuno.Dias@gmail.com>
- 3.8.2-1.ndias

* Tue Sep 16 2014 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.8.1

* Mon Jul 28 2014 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.8.0

* Tue May 20 2014 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.7.0

* Tue Mar 18 2014 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.6.1 git20140318

* Sat Mar 01 2014 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.6.0 git20140301

* Sat Mar 01 2014 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.6.0

* Wed Sep 25 2013 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.5.2

* Mon Apr 1 2013 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.5.1

* Thu Mar 07 2013 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.5.0

* Sat Dec 29 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.4.0

* Thu Nov 22 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.3.0 gitffca742

* Tue Sep 25 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.3.0

* Thu Jul 26 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.2.0

* Wed May 30 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.1.2

* Mon Apr 30 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.1.1

* Tue Mar 27 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.1.0

* Sat Jan 28 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.0.4

* Thu Jan 12 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.0.3

* Tue Jan 03 2012 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.0.3-git20120103

* Thu Dec 15 2011 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.0.2

* Tue Nov 15 2011 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.0.1

* Wed Nov 09 2011 Nuno Dias <Nuno.Dias@gmail.com>
- Version 3.0.0

* Sat Aug 06 2011 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.17

* Sat Jul 09 2011 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.16

* Wed May 4 2011 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.15

* Sat Mar 26 2011 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.14cvs20110326

* Sat Feb 26 2011 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.13

* Thu Jan 13 2011 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.12

* Wed Dec 22 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.11

* Sun Nov 28 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.10

* Mon Oct 11 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.9

* Thu Sep 2 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.8

* Tue Aug 24 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.7 
- youtube.py version from cvs

* Fri Jul 9 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.7

* Mon May 24 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.6

* Thu Apr 22 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.5

* Tue Mar 30 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.4

* Fri Mar 12 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.4 from cvs 20100312

* Mon Mar 1 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.3

* Sat Feb 6 2010 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.2

* Tue Dec 15 2009 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.1

* Sat Nov 21 2009 Nuno Dias <Nuno.Dias@gmail.com>
- Version 2.0

* Thu Sep 10 2009 Nuno Dias <Nuno.Dias@gmail.com>
- Version 0.18.0 from cvs

* Sat Aug 1 2009 Nuno Dias <Nuno.Dias@gmail.com>
- Version 0.17.0

* Mon Jun 15 2009 Nuno Dias <Nuno.Dias@gmail.com>
- Version 0.16.1

* Fri Mar 13 2009 Nuno Dias <Nuno.Dias@gmail.com>
- Version 0.15.1

* Tue Mar 10 2009 Nuno Dias <Nuno.Dias@gmail.com>
- Version 0.15.0

* Tue Feb 3 2009 Nuno Dias <Nuno.Dias@gmail.com>
- 0.14.1-1
